
TOP = @TOP@
SRC = .
LIB = .
INCS = -I$(TOP) -I.
DIR = OSLib

CC = @CC@
LD = @LD@
CFLAGS = $(INCS) @DEFS@
LDFLAGS = @LDFLAGS@
ARFLAGS = @ARFLAGS@

SRCS = FileHandles.c Generic.c StringExtras.c StringUtils.c @OSLIBSRCS@

OBJS = $(SRCS:%.c=%.o)
DEPS = $(SRCS:%.c=%.d)

all: compile

clean:
	rm -f $(OBJS) $(LIB)/lib$(DIR).a $(DEPS)

-include $(DEPS)

%.o: %.c $(TOP)/conf.h
	$(CC) $(CFLAGS) @DEPFLAGS@ $(CFLAGS_$<) -o $@ -c $<

$(LIB)/lib$(DIR).a: $(OBJS)
	$(AR) $(ARFLAGS) $(LIB)/lib$(DIR).a $(OBJS)

compile: $(LIB)/lib$(DIR).a





